Skip to main content
POST
/
networks
/
custom
/
payoutrevenuetable
Find Custom Payout/Revenue (Advanced)
curl --request POST \
  --url https://api.eflow.team/v1/networks/custom/payoutrevenuetable \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "search_terms": [],
  "filters": {}
}
'
{
  "custom_payout_revenue_settings": [
    {
      "network_custom_payout_revenue_setting_id": 123,
      "network_id": 123,
      "network_offer_id": 123,
      "network_offer_payout_revenue_id": 123,
      "name": "<string>",
      "custom_setting_status": "<string>",
      "is_apply_all_affiliates": true,
      "is_custom_payout_enabled": true,
      "payout_type": "<string>",
      "payout_amount": 123,
      "payout_percentage": 123,
      "is_custom_revenue_enabled": true,
      "revenue_type": "<string>",
      "revenue_amount": 123,
      "revenue_percentage": 123,
      "is_postback_disabled": true,
      "description": "<string>",
      "public_description": "<string>",
      "date_valid_from": "<string>",
      "date_valid_to": "<string>",
      "is_apply_specific_offer_urls": true,
      "network_affiliate_ids": [
        123
      ],
      "network_offer_url_ids": [
        123
      ],
      "time_created": 1734455015,
      "time_saved": 1734455015,
      "relationship": {
        "affiliates": {
          "total": 123,
          "entries": [
            {
              "network_affiliate_id": 123,
              "network_id": 123,
              "name": "<string>",
              "account_status": "<string>"
            }
          ]
        },
        "offer": {
          "network_offer_id": 123,
          "network_id": 123,
          "network_advertiser_id": 123,
          "network_offer_group_id": 123,
          "name": "<string>",
          "offer_status": "<string>",
          "network_tracking_domain_id": 123,
          "visibility": "<string>",
          "currency_id": "<string>"
        },
        "payout_revenue_event_name": "<string>",
        "offer_urls": [
          {
            "network_offer_url_id": 123,
            "network_id": 123,
            "network_offer_id": 123,
            "name": "<string>"
          }
        ]
      }
    }
  ],
  "paging": {
    "page": 123,
    "page_size": 123,
    "total_count": 123
  }
}
Retrieve a paginated list of custom payout/revenue settings. Supports search filters, sorting, and pagination to help you find and browse custom payout and revenue configurations programmatically.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Query Parameters

page
integer
default:1

Page number (1-based).

page_size
integer
default:50

Number of results per page.

relationship
enum<string>

Include related data. Use offer for offer details, affiliates for full affiliate list, limited_affiliates for up to 5 affiliates, payout_revenue_event_name for the base event name, offer_urls for associated offer URLs, or all for everything. Repeat the parameter for multiple values.

Available options:
offer,
affiliates,
limited_affiliates,
payout_revenue_event_name,
offer_urls,
all
order_field
enum<string>

Field to order results by.

Available options:
id,
name,
relationship.offer.name,
time_created,
time_saved
order_direction
enum<string>

Sort direction.

Available options:
asc,
desc

Body

application/json
search_terms
object[]

Text search filters.

filters
object

Structured filters to narrow results.

Response

200 - application/json

OK

custom_payout_revenue_settings
object[]
paging
object